<?php
/**
 * Plugin Name: ix-postcode-autofill
 * Plugin URI: https://www.itxplain.nl
 * Description: Auto fills street + city based on given postalcode + housenumber
 * Version: 1.0.0
 * Author: itxplain
 * Author URI: https://www.itxplain.nl/
 */


require_once dirname(__FILE__).'/ix-ajax-handling.php';
require_once dirname(__FILE__).'/ix-settings.php';
require_once dirname(__FILE__).'/ix-checkout.php';


/**
 * create cache table on activation
 */
function ix_postcode_autofill_activate() {
    global $wpdb;
    
    $sql = array();
    $sql[] = "CREATE TABLE IF NOT EXISTS `{$wpdb->prefix}postcode_cache` (
                  `id` int(11) NOT NULL AUTO_INCREMENT,
                  `postcode` varchar(6) DEFAULT NULL,
                  `housenr` varchar(16) DEFAULT NULL,
                  `response` text,
                  `created` datetime DEFAULT NULL,
                  PRIMARY KEY (`id`),
                  KEY `ix_postcode` (`postcode`)
                ) ";
    
 
    foreach($sql as $s) {
        $wpdb->query($s);
    }
    
    
    update_option('ix_postcode_billing_postcode', 'billing_postcode');
    update_option('ix_postcode_billing_housenr',  '');
    update_option('ix_postcode_billing_city',     'billing_city');
    update_option('ix_postcode_billing_street',   'billing_address_1');
    
    update_option('ix_postcode_shipping_postcode', 'shipping_postcode');
    update_option('ix_postcode_shipping_housenr',  '');
    update_option('ix_postcode_shipping_city',     'shipping_city');
    update_option('ix_postcode_shipping_street',   'shipping_address_1');
    
}
register_activation_hook( __FILE__, 'ix_postcode_autofill_activate' );

