<?php


function ix_postcode_register_settings() {
    register_setting( 'ix-postcode-autofill', 'ix_postcode_billing_postcode' );
    register_setting( 'ix-postcode-autofill', 'ix_postcode_billing_housenr' );
    register_setting( 'ix-postcode-autofill', 'ix_postcode_billing_city' );
    register_setting( 'ix-postcode-autofill', 'ix_postcode_billing_street' );
    
    register_setting( 'ix-postcode-autofill', 'ix_postcode_shipping_postcode' );
    register_setting( 'ix-postcode-autofill', 'ix_postcode_shipping_housenr' );
    register_setting( 'ix-postcode-autofill', 'ix_postcode_shipping_city' );
    register_setting( 'ix-postcode-autofill', 'ix_postcode_shipping_street' );
}


if ( is_admin() ) { // admin actions
    add_action( 'admin_menu', 'ix_postcode_settings' );
    add_action( 'admin_init', 'ix_postcode_register_settings' );
    
    
    add_filter( 'plugin_action_links_ix-postcode-autofill/ix-postcode-autofill.php', 'ix_postcode_action_links' );
}

function ix_postcode_action_links( $links ) {
    $links[] = '<a href="'. esc_url( get_admin_url(null, 'options-general.php?page=ix-postcode-autofill/ix-settings.php') ) .'">Settings</a>';
    return $links;
}

function ix_postcode_settings() {
    add_options_page('Postcode autofill', 'Postcode autofill', 'manage_options',__FILE__,'ix_postcode_settings_page');
}

function ix_postcode_settings_page() {
    
    include dirname(__FILE__).'/tpl/settings.php';
    
}

