<?php

// add error/update messages

// check if the user have submitted the settings
// wordpress will add the "settings-updated" $_GET parameter to the url
if (isset($_GET['settings-updated'])) {
    // add settings saved message with the class of "updated"
    add_settings_error('wporg_messages', 'wporg_message', __('Settings Saved', 'wporg'), 'updated');
}

// show error/update messages
settings_errors('wporg_messages');
?>

<style type="text/css">

.billing-fields label, .shipping-fields label { float: left; width: 10em; }
.billing-fields  { float: left; margin-right: 5em; }

</style>

<div class="wrap">
	<h1><?php echo esc_html( get_admin_page_title() ); ?> instellingen</h1>
	<form action="options.php" method="post">
	
 <?php
    settings_fields('ix-postcode-autofill');
    
    
    $countries = new WC_Countries();
    $billingfields = $countries->get_address_fields( $countries->get_base_country(),'billing_');
    $shippingfields = $countries->get_address_fields( $countries->get_base_country(),'shipping_');
    
    ?>
    
    <div>
    	Onderstaande instellingen zijn nodig om te bepalen wanneer de postcode + huisnummer zijn ingevuld. Daarna worden de opgegeven woonplaats + straat automatisch ingevuld.
    	<div style="height: 0.5em;"></div>
    	<b>Let op: </b> u zult een extra veld voor het huisnummer moeten aanmaken alvorens deze plugin werkt! Dit kan met een 'WooCommerce Checkout Field Editor'.
    </div>
    
    <br/>
    
    <div class="billing-fields">
    	<h3>Billing fields</h3>
    	<div>
        	<label>Postcode veld</label>
        	<select name="ix_postcode_billing_postcode">
        		<option value="">Maak uw keuze</option>
        		<?php foreach($billingfields as $f => $arr ) : ?>
        		<option value="<?php print esc_attr($f) ?>" <?php if(get_option('ix_postcode_billing_postcode') == $f) print 'selected="selected"'; ?>>
        			<?php print esc_html($f) ?>
        		</option>
        		<?php endforeach; ?>
        	</select>
    	</div>
    	
    	<div>
        	<label>Huisnummer veld</label>
        	<select name="ix_postcode_billing_housenr">
        		<option value="">Maak uw keuze</option>
        		<?php foreach($billingfields as $f => $arr ) : ?>
        		<option value="<?php print esc_attr($f) ?>" <?php if(get_option('ix_postcode_billing_housenr') == $f) print 'selected="selected"'; ?>>
        			<?php print esc_html($f) ?>
        		</option>
        		<?php endforeach; ?>
        	</select>
        </div>
    	
    	<div>
        	<label>Woonplaats veld</label>
        	<select name="ix_postcode_billing_city">
        		<option value="">Maak uw keuze</option>
        		<?php foreach($billingfields as $f => $arr ) : ?>
        		<option value="<?php print esc_attr($f) ?>" <?php if(get_option('ix_postcode_billing_city') == $f) print 'selected="selected"'; ?>>
        			<?php print esc_html($f) ?>
        		</option>
        		<?php endforeach; ?>
        	</select>
        </div>
    	
    	<div>
        	<label>Straat veld</label>
        	<select name="ix_postcode_billing_street">
        		<option value="">Maak uw keuze</option>
        		<?php foreach($billingfields as $f => $arr ) : ?>
        		<option value="<?php print esc_attr($f) ?>" <?php if(get_option('ix_postcode_billing_street') == $f) print 'selected="selected"'; ?>>
        			<?php print esc_html($f) ?>
        		</option>
        		<?php endforeach; ?>
        	</select>
        </div>
    </div>
    
    
    <div class="shipping-fields">
    	<h3>Shipping fields</h3>
    	<div>
        	<label>Postcode veld</label>
        	<select name="ix_postcode_shipping_postcode">
        		<option value="">Maak uw keuze</option>
        		<?php foreach($shippingfields as $f => $arr ) : ?>
        		<option value="<?php print esc_attr($f) ?>" <?php if(get_option('ix_postcode_shipping_postcode') == $f) print 'selected="selected"'; ?>>
        			<?php print esc_html($f) ?>
        		</option>
        		<?php endforeach; ?>
        	</select>
    	</div>
    	
    	<div>
        	<label>Huisnummer veld</label>
        	<select name="ix_postcode_shipping_housenr">
        		<option value="">Maak uw keuze</option>
        		<?php foreach($shippingfields as $f => $arr ) : ?>
        		<option value="<?php print esc_attr($f) ?>" <?php if(get_option('ix_postcode_shipping_housenr') == $f) print 'selected="selected"'; ?>>
        			<?php print esc_html($f) ?>
        		</option>
        		<?php endforeach; ?>
        	</select>
        </div>
    	
    	<div>
        	<label>Woonplaats veld</label>
        	<select name="ix_postcode_shipping_city">
        		<option value="">Maak uw keuze</option>
        		<?php foreach($shippingfields as $f => $arr ) : ?>
        		<option value="<?php print esc_attr($f) ?>" <?php if(get_option('ix_postcode_shipping_city') == $f) print 'selected="selected"'; ?>>
        			<?php print esc_html($f) ?>
        		</option>
        		<?php endforeach; ?>
        	</select>
        </div>
    	
    	<div>
        	<label>Straat veld</label>
        	<select name="ix_postcode_shipping_street">
        		<option value="">Maak uw keuze</option>
        		<?php foreach($shippingfields as $f => $arr ) : ?>
        		<option value="<?php print esc_attr($f) ?>" <?php if(get_option('ix_postcode_shipping_street') == $f) print 'selected="selected"'; ?>>
        			<?php print esc_html($f) ?>
        		</option>
        		<?php endforeach; ?>
        	</select>
        </div>
    </div>

	
    
    
    <?php submit_button('Save Settings'); ?>
    
 </form>
</div>

